<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/thread_netif.cpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/d84/thread__netif_8cpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">thread_netif.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file implements the Thread network interface.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="../../da/d7b/code__utils_8hpp_source.html">common/code_utils.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d57/encoding_8hpp_source.html">common/encoding.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d5/d8c/message_8hpp_source.html">common/message.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d1/dd4/ip6_8hpp_source.html">net/ip6.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d0/d86/netif_8hpp_source.html">net/netif.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d0/db7/udp6_8hpp_source.html">net/udp6.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d0/d78/mle_8hpp_source.html">thread/mle.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d1/d54/thread__netif_8hpp_source.html">thread/thread_netif.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d8/d26/thread__tlvs_8hpp_source.html">thread/thread_tlvs.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d5/d00/thread__uris_8hpp_source.html">thread/thread_uris.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d2/dfc/openthread-instance_8h_source.html">openthread-instance.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for thread_netif.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/de5/thread__netif_8cpp__incl.png" border="0" usemap="#src_2core_2thread_2thread__netif_8cpp" alt=""/></div>
<map name="src_2core_2thread_2thread__netif_8cpp" id="src_2core_2thread_2thread__netif_8cpp">
<area shape="rect" id="node2" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="43,1025,205,1051"/>
<area shape="rect" id="node4" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="753,1105,909,1131"/>
<area shape="rect" id="node7" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="1017,952,1173,977"/>
<area shape="rect" id="node15" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1631,639,1718,664"/>
<area shape="rect" id="node20" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="1611,879,1706,904"/>
<area shape="rect" id="node27" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="2208,725,2307,751"/>
<area shape="rect" id="node28" href="../../d0/d78/mle_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="1874,412,1984,437"/>
<area shape="rect" id="node35" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="2458,165,2617,191"/>
<area shape="rect" id="node45" href="../../d8/d26/thread__tlvs_8hpp.html" title="This file includes definitions and methods for generating and processing Thread Network Layer TLVs..." alt="" coords="664,332,818,357"/>
<area shape="rect" id="node48" href="../../d5/d00/thread__uris_8hpp.html" title="This file includes definitions for Thread URIs. " alt="" coords="1916,92,2071,117"/>
<area shape="rect" id="node49" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="1175,92,1329,117"/>
<area shape="rect" id="node3" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="1337,1185,1412,1211"/>
<area shape="rect" id="node6" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="1837,1185,1901,1211"/>
<area shape="rect" id="node8" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="330,1025,470,1051"/>
<area shape="rect" id="node10" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="2337,1105,2473,1131"/>
<area shape="rect" id="node12" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="3636,1025,3806,1051"/>
<area shape="rect" id="node14" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="941,1025,1083,1051"/>
<area shape="rect" id="node11" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="2336,1185,2474,1211"/>
<area shape="rect" id="node13" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="3640,1099,3803,1137"/>
<area shape="rect" id="node17" href="../../d0/dba/icmp6_8hpp.html" title="This file includes definitions for ICMPv6. " alt="" coords="1330,725,1435,751"/>
<area shape="rect" id="node18" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1673,805,1815,831"/>
<area shape="rect" id="node19" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="1798,1025,1940,1051"/>
<area shape="rect" id="node22" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="1854,952,1962,977"/>
<area shape="rect" id="node24" href="../../df/dc2/ip6__routes_8hpp.html" title="This file includes definitions for manipulating IPv6 routing tables. " alt="" coords="1455,879,1587,904"/>
<area shape="rect" id="node25" href="../../df/dab/ip6__mpl_8hpp.html" title="This file includes definitions for MPL. " alt="" coords="1763,725,1879,751"/>
<area shape="rect" id="node21" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="3112,952,3253,977"/>
<area shape="rect" id="node23" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="1965,1025,2065,1051"/>
<area shape="rect" id="node26" href="../../df/d05/timer_8hpp.html" title="This file includes definitions for the multiplexed timer service. " alt="" coords="2937,805,3068,831"/>
<area shape="rect" id="node29" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="3317,485,3419,511"/>
<area shape="rect" id="node31" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="1722,559,1860,584"/>
<area shape="rect" id="node32" href="../../d1/df7/mle__tlvs_8hpp.html" title="This file includes definitions for generating and processing MLE TLVs. " alt="" coords="1294,879,1432,904"/>
<area shape="rect" id="node33" href="../../d9/dd3/mle__constants_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="1502,952,1677,977"/>
<area shape="rect" id="node34" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="1077,639,1256,664"/>
<area shape="rect" id="node30" href="../../de/d0b/key__manager_8hpp.html" title="This file includes definitions for Thread security material generation. " alt="" coords="3986,725,4155,751"/>
<area shape="rect" id="node36" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="2308,332,2449,357"/>
<area shape="rect" id="node37" href="../../da/d32/ip6__filter_8hpp.html" title="This file includes definitions for IPv6 datagram filtering. " alt="" coords="2372,559,2492,584"/>
<area shape="rect" id="node38" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="3126,412,3317,437"/>
<area shape="rect" id="node39" href="../../d8/d26/announce__begin__server_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="3345,719,3506,757"/>
<area shape="rect" id="node40" href="../../df/d7a/energy__scan__server_8hpp.html" title="This file includes definitions for responding to Energy Scan Requests. " alt="" coords="3040,632,3179,671"/>
<area shape="rect" id="node41" href="../../dd/d07/network__diag_8hpp.html" title="This file includes definitions for handle network diagnostic. " alt="" coords="2595,639,2763,664"/>
<area shape="rect" id="node42" href="../../d2/d1d/meshcop__dataset__manager_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="2116,325,2284,364"/>
<area shape="rect" id="node43" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="3204,332,3388,357"/>
<area shape="rect" id="node44" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="1385,245,1537,271"/>
<area shape="rect" id="node46" href="../../d0/d03/network__data__local_8hpp.html" title="This file includes definitions for manipulating local Thread Network Data. " alt="" coords="2930,239,3073,277"/>
<area shape="rect" id="node47" href="../../d9/d2d/panid__query__server_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="2435,632,2571,671"/>
<area shape="rect" id="node50" href="../../d2/d8a/mbedtls_8hpp.html" title="This file includes definitions for using mbedTLS. " alt="" coords="330,485,464,511"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1317633847295a52f316e07b63bdf0da"><td class="memItemLeft" align="right" valign="top">static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::kThreadMasterKey</b> []</td></tr>
<tr class="separator:a1317633847295a52f316e07b63bdf0da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a376d71379c10495ffc7afbbfda4b74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a376d71379c10495ffc7afbbfda4b74"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::name</b> [] = &quot;thread&quot;</td></tr>
<tr class="separator:a3a376d71379c10495ffc7afbbfda4b74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file implements the Thread network interface. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="file_a1317633847295a52f316e07b63bdf0da"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t Thread::kThreadMasterKey[]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    0x00, 0x11, 0x22, 0x33, 0x44, 0x55, 0x66, 0x77,</div><div class="line">    0x88, 0x99, 0xaa, 0xbb, 0xcc, 0xdd, 0xee, 0xff,</div><div class="line">}</div></div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../db/d84/thread__netif_8cpp.html">thread_netif.cpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
